import { PropertiesState } from './properties-state';
import { ObjectProperties, ObjectValues } from './types';
export default class StateValues<TObject> {
    private readonly _propertiesState;
    get propertiesState(): PropertiesState<TObject>;
    constructor(state: PropertiesState<TObject>);
    static from<TObject>(state: PropertiesState<TObject>, properties: ObjectProperties<TObject>): ObjectValues<TObject>;
}
